//
// C++ Implementation: kbibgroupviewitem
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kbibgroupviewitem.h"
#include "kbibgroupviewgroup.h"
#include "kbibgroupview.h"
#include <iostream>

KBibGroupViewItem::KBibGroupViewItem(BibEntry *entry, QListViewItem *parent):KListViewItem(parent){
	m_entry = entry;
	if (entry){
/*		KBibGroupViewGroup *group = (KBibGroupViewGroup *) this->parent();
		KBibGroupView *grpView = (KBibGroupView *)group->parent();
		BibentryTable *list = grpView->getBibEntryTable();
		if (list){
			std::cerr<<"SIZE="<<list->size();
			QString field = list->getFieldText(entry, QString::fromLatin1("title") );
		}
*/		
		this->setText(0, QString(entry->getField(QString::fromLatin1("title"))).simplifyWhiteSpace());
			
//		this->setText(0, field);		
	}
	
}

KBibGroupViewItem::~KBibGroupViewItem()
{
}



#include "kbibgroupviewitem.moc"
